Orxonox: orxonox::NamespaceNode Class Reference

# orxonox::NamespaceNode Class Reference

`#include <src/core/NamespaceNode.h>`

List of all members.

## Public Member Functions

std::set< NamespaceNode * > | getNodeRelative (const std::string &name)
bool | includes (const NamespaceNode *) const
bool | isHidden () const
bool | isRoot () const
| NamespaceNode (const std::string &name, NamespaceNode *parent=0)
void | setHidden (bool bHidden)
void | setRoot (bool bRoot)
std::string | toString (const std::string &indentation) const
std::string | toString () const
| ~NamespaceNode ()

## Private Attributes

bool | bHidden_
bool | bRoot_
std::string | name_
NamespaceNode * | parent_
std::map< std::string, NamespaceNode * > | subnodes_

## Constructor & Destructor Documentation

orxonox::NamespaceNode::NamespaceNode | ( | const std::string & | name,
|  | NamespaceNode * | parent = `0` |
| ) |  |  |

References bHidden_, bRoot_, name_, and parent_.

Referenced by getNodeRelative().

orxonox::NamespaceNode::~NamespaceNode | ( |  | ) |

References subnodes_.

## Member Function Documentation

std::set< NamespaceNode * > orxonox::NamespaceNode::getNodeRelative | ( | const std::string & | name | ) |

References bRoot_, COUT, getNodeRelative(), name_, NamespaceNode(), parent_, and subnodes_.

Referenced by getNodeRelative().

bool orxonox::NamespaceNode::includes | ( | const NamespaceNode * | ns | ) | const

References subnodes_.

bool orxonox::NamespaceNode::isHidden | ( |  | ) | const`[inline]`

References bHidden_.

bool orxonox::NamespaceNode::isRoot | ( |  | ) | const`[inline]`

References bRoot_.

void orxonox::NamespaceNode::setHidden | ( | bool | bHidden | ) | `[inline]`

References bHidden_.

void orxonox::NamespaceNode::setRoot | ( | bool | bRoot | ) | `[inline]`

References bRoot_.

std::string orxonox::NamespaceNode::toString | ( | const std::string & | indentation | ) | const

References name_, and subnodes_.

std::string orxonox::NamespaceNode::toString | ( |  | ) | const

References name_, and subnodes_.

## Member Data Documentation

bool orxonox::NamespaceNode::bHidden_`[private]`

Referenced by isHidden(), NamespaceNode(), and setHidden().

bool orxonox::NamespaceNode::bRoot_`[private]`

Referenced by getNodeRelative(), isRoot(), NamespaceNode(), and setRoot().

std::string orxonox::NamespaceNode::name_`[private]`

Referenced by getNodeRelative(), NamespaceNode(), and toString().

NamespaceNode* orxonox::NamespaceNode::parent_`[private]`

Referenced by getNodeRelative(), and NamespaceNode().

std::map<std::string, NamespaceNode*> orxonox::NamespaceNode::subnodes_`[private]`

Referenced by getNodeRelative(), includes(), toString(), and ~NamespaceNode().

The documentation for this class was generated from the following files:

- src/core/NamespaceNode.h
- src/core/NamespaceNode.cc